Markdent::Handler::HTMLFilter(3pm)

NAME
Markdent::Handler::HTMLFilter - Filters out HTML events from the event stream

VERSION
version 0.33

SYNOPSIS
  my $html = Markdent::Handler::HTMLStream->new( ... );

  my $filter = Markdent::Handler::HTMLFilter->new( handler => $html );

  my $parser = Markdent::Parser->new( handler => $filter ):

  $parser->parse( markdown => ... );

DESCRIPTION
This class implements an event filter which drops all HTML events except for HTML entities.

METHODS
This class provides the following methods:

  Markdent::Handler::HTMLFilter->new()
This method creates a new handler.

ROLES
This class does the Markdent::Role::Handler role.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2019 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.